Bug 779728 - (SOA-2090) JON plugin ESBMessageEventPoller may poll and synchronize when no bean is present
JON plugin ESBMessageEventPoller may poll and synchronize when no bean is pre...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks: SOA-2288
  Show dependency treegraph
 
Reported: 2010-05-20 08:14 EDT by Kevin Conner
Modified: 2011-02-08 08:27 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-08 08:27:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2090 None None None Never

  None (edit)
Description Kevin Conner 2010-05-20 08:14:43 EDT
Date of First Response: 2010-06-06 23:16:24
project_key: SOA
Comment 1 Kevin Conner 2010-05-20 08:15:04 EDT
Link: Added: This issue depends JBESB-3325
Comment 2 Kevin Conner 2010-05-20 12:56:56 EDT
Updated in ESB codebase, will be in next merge.
Comment 3 Darrin Mison 2010-06-06 23:16:24 EDT
More information needed for release notes:

Clarify: "when no bean is present".  When would this be so ?

Clarify: "may poll and synchronize".  

And what symptoms would be encountered when this happens?  Crash? Error Message? 
Comment 4 Kevin Conner 2010-06-08 09:40:50 EDT
If the system being queried was not a SOA 5 system, for example SOA 4.3, then the bean and the functionality does not exist.  The polling is still requested, however, and this will lead to a synchronization being performed on a null value.
Comment 5 Darrin Mison 2010-06-15 02:34:53 EDT
The JON ESB plugin was polling for MessageAlert events on JBoss Enterprise SOA Platforms installations of 4.3 and earlier although only version 5 has this functionality.

Can you clarify the statement: "and this will lead to a synchronization being performed on a null value" ?

What would end-users (admins) see when this occurred ?
Comment 6 Len DiMaggio 2010-06-22 13:48:03 EDT
To reproduce - Run a JON server with the SOA 5 plugin installed monitoring a SOA 4.3 instance
Comment 10 Len DiMaggio 2010-09-08 14:07:12 EDT
Link: Added: This issue is a dependency of SOA-2288
Comment 11 Kevin Conner 2010-09-22 06:33:19 EDT
Darrin, can you confirm these changes are in the SOA docs?  They made it into the ESB 4.9 release.
Comment 12 Kevin Conner 2010-09-22 06:34:27 EDT
Sorry, wrong issue.  Please ignore last comment.
Comment 13 Kevin Conner 2010-09-27 11:36:01 EDT
Resolved waiting on SOA-2288
Comment 14 Laura Bailey 2010-12-16 19:41:26 EST
Writer: Added: Darrin
Comment 15 Laura Bailey 2010-12-16 20:00:57 EST
Release Notes Docs Status: Added: Not Required

Note You need to log in before you can comment on or make changes to this bug.